<?php  

$wp_customize->add_section(
    'banner_area',
    array(
        'title' => __('Banner Section', 'luzuk-premium' ),
        'panel' => 'luzuk_premium_home_panel'
    )
);
  // ENABLE/DISABLE FEATURED SECTION
    $wp_customize->add_setting(
        'banner_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'banner_area_disable',
            array(
                'settings'      => 'banner_area_disable',
                'section'       => 'banner_area',
                'label'         => __( 'banner Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    );

backgroundManager($wp_customize, 'banner', 'banner_area', $color='#fff', get_template_directory_uri().'/images/bannerBg.jpg', 'color');

lzCustomLable($wp_customize, 'bannerarea_Overlay', 'banner_area', 'Set Overlay:');

$wp_customize->add_setting(
    'banner_areaOpacity',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0.9', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'banner_areaOpacity',
    array(
        'settings'      => 'banner_areaOpacity',
        'section'       => 'banner_area',
        'type'          => 'text',
        'label'         => __( 'Opacity', 'luzuk-premium' )
    )
);
addColorPalatOption($wp_customize, 'banner_olyColor', 'banner_area', 'Section Overlay Color', '#f04f55');

lzCustomLable($wp_customize, 'bannersection_padding', 'banner_area', ' Section Padding Setting:');

$wp_customize->add_setting(
    'banner_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'banner_areaTpadding',
    array(
        'settings'      => 'banner_areaTpadding',
        'section'       => 'banner_area',
        'type'          => 'text',
        'label'         => __( 'Section Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'banner_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '4em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'banner_areaBpadding',
    array(
        'settings'      => 'banner_areaBpadding',
        'section'       => 'banner_area',
        'type'          => 'text',
        'label'         => __( 'Section Bottom Padding', 'luzuk-premium' )
    )
);


lzCustomLable($wp_customize, 'bannersection_text', 'banner_area', ' Section Text');


    $wp_customize->add_setting(
        'banner_title',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'NEED ANY TEXTILES SERVICES HELP ?', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'banner_title',
        array(
            'settings'      => 'banner_title',
            'section'       => 'banner_area',
            'type'          => 'textarea',
            'label'         => __( 'Section Title', 'luzuk-premium' )
        )
    );

addColorPalatOption($wp_customize, 'banner_titleColor', 'banner_area', 'Section Title Color', '#fff');


    $wp_customize->add_setting(
        'banner_no',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( '+912-8099-476 ,', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'banner_no',
        array(
            'settings'      => 'banner_no',
            'section'       => 'banner_area',
            'type'          => 'text',
            'label'         => __( 'Section Phone Number One', 'luzuk-premium' )
        )
    );

     $wp_customize->add_setting(
        'banner_no2',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( '+123-3407-302', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'banner_no2',
        array(
            'settings'      => 'banner_no2',
            'section'       => 'banner_area',
            'type'          => 'text',
            'label'         => __( 'Section Phone Number Two', 'luzuk-premium' )
        )
    );

addColorPalatOption($wp_customize, 'banner_numColor', 'banner_area', 'Section Phone Number Color', '#fff');

addColorPalatOption($wp_customize, 'banner_numhvClr', 'banner_area', 'Section Phone Number Hover Color', '#000');